heapnode_s Struct Reference

One node on the heap. More...

## Data Fields

void * | data
| Application data at this node.
int32 | val
| Associated with above application data; according to which heap is sorted (in ascending order)
int32 | nl
int32 | nr
| #left/right descendants of this node (for balancing heap)
struct heapnode_s * | l
| Root of left descendant heap.
struct heapnode_s * | r
| Root of right descendant heap.

## Detailed Description

One node on the heap.

Definition at line 77 of file heap.c.

The documentation for this struct was generated from the following file:

- src/libsphinxbase/util/heap.c